### Class

# Phosh EmergencyContact

since: 0

#### Description [src]

    final class Phosh.EmergencyContact : GObject.Object
    {
      /* No available fields */
    }

`PhoshEmergencyContact` holds data about an emergency contact and is used to build `PhoshEmergencyContactRow`.

A GListStore of `PhoshEmergencyContact` is provided by `PhoshEmergencyContactManager`.

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### phosh_emergency_contact_new

# phosh_emergency_contact_new creates a new `PhoshEmergencyContact` with the provided information.

The input information is designed parsed from the DBus API and then provided to this function. See `PhoshEmergencyContactManager` `on_update_finish` function for reference.

since: 0

#### Instance methods

###### phosh_emergency_contact_call

Starts an emergency call to this emergency contact.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.EmergencyContact:additional-properties

Any other information, given by the calls DBus API.

since: 0

###### Phosh.EmergencyContact:id

The id that is given to this emergency contact by the calls DBus API.

since: 0

###### Phosh.EmergencyContact:name

The name of person in this emergency contact. Eg Bob.

since: 0

###### Phosh.EmergencyContact:source

An integer identifying the source of the emergency contact. Eg SIM card or user entered.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshEmergencyContactClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.